Package org.opensaml.saml.common.messaging.context

# Class SAMLSelfEntityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext
org.opensaml.saml.common.messaging.context.SAMLSelfEntityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLSelfEntityContext extends AbstractSAMLEntityContext
Subcontext that carries information about the SAML "self" entity.

This context will often contain subcontexts, whose data is construed to be scoped to that self entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Constructor Summary

Constructors
Constructor
Description
`SAMLSelfEntityContext()`

## Method Summary

### Methods inherited from class org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext

`getEntityId, getRole, setEntityId, setRole`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SAMLSelfEntityContext

public SAMLSelfEntityContext()